NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.CAM.InspectionCollisionAvoidanceBuilder Class Reference

Collision Avoidance Dialog builder More...

Inheritance diagram for NXOpen.CAM.InspectionCollisionAvoidanceBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void DoCollisionAvoidance ()
 Updates selected paths. More...
 
unsafe string[] GetSelectedOps ()
 Returns the selected operations. More...
 
unsafe void SetSelectedOps (string[] selectedOps)
 Sets the selected operations. More...
 
unsafe void UpdateSimDisplayOptions ()
 Updates the Sim Display Options to match changes made in the Collision Avoidance Dialog More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool ChangeApproachRetract [get, set]
 Returns or sets a flag to indicate whether to change approach and retract distances to avoid collisions More...
 
unsafe bool ChangeProbeAngles [get, set]
 Returns or sets a flag to indicate whether to change probe angles to avoid collisions More...
 
unsafe bool ChangeProbeTip [get, set]
 Returns or sets a flag to indicate whether to change probe tip to avoid collisions More...
 
unsafe double ClearanceDistance [get, set]
 Returns or sets the transition clearance distance More...
 
unsafe bool DeleteMeasurementPoints [get, set]
 Returns or sets a flag to indicate whether to delete measurement points to avoid collisions More...
 
unsafe bool DeleteUserSafePoints [get, set]
 Returns or sets a flag to indicate whether to delete user inserted safe points to improve path More...
 
unsafe double FacetTolerance [get, set]
 Returns or sets the tolerance used for faceting the components More...
 
unsafe bool FinishAtSafePlane [get, set]
 Returns or sets a flag to indicate whether to finish at safe plane after last path More...
 
unsafe bool ListOutput [get, set]
 Returns or sets a flag to indicate whether to generate a report More...
 
unsafe double MaxAngularIncrement [get, set]
 Returns or sets the max angular increment More...
 
unsafe double MaxLengthIncrement [get, set]
 Returns or sets the max length increment More...
 
unsafe bool MoveMeasurementPoints [get, set]
 Returns or sets a flag to indicate whether to move measurement points to avoid collisions More...
 
unsafe bool NewSensors [get, set]
 Returns or sets a flag to indicate whether to create new sensors More...
 
unsafe bool ProbeRotationsAtSafePlane [get, set]
 Returns or sets a flag to indicate whether to do probe rotations at safe plane More...
 
unsafe NXOpen.NXObject SafePlane [get, set]
 Returns or sets the safe plane More...
 
unsafe bool StartFromSafePlane [get, set]
 Returns or sets a flag to indicate whether to start from safe plane before first path More...
 
unsafe bool TableRotationsAtSafePlane [get, set]
 Returns or sets a flag to indicate whether to do table rotations at safe plane More...
 
unsafe bool ToolChangesAtSafePlane [get, set]
 Returns or sets a flag to indicate whether to do tool changes at safe plane More...
 
unsafe bool TransitionsBetweenPaths [get, set]
 Returns or sets a flag to indicate whether to generate transition points between paths More...
 
unsafe bool TransitionsWithinPaths [get, set]
 Returns or sets a flag to indicate whether to generate transition points within paths More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Collision Avoidance Dialog builder

To create a new instance of this class, use NXOpen.CAM.InspectionOperationCollection.CreateInspectionCollisionAvoidanceBuilder

Created in NX8.0.0

Member Function Documentation

unsafe void NXOpen.CAM.InspectionCollisionAvoidanceBuilder.DoCollisionAvoidance ( )
inline

Updates selected paths.

Created in NX8.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

unsafe string [] NXOpen.CAM.InspectionCollisionAvoidanceBuilder.GetSelectedOps ( )
inline

Returns the selected operations.

Created in NX8.0.0

License requirements: None.

Returns
Selected operation names
unsafe void NXOpen.CAM.InspectionCollisionAvoidanceBuilder.SetSelectedOps ( string[]  selectedOps)
inline

Sets the selected operations.

Created in NX8.0.0

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Parameters
selectedOpsSelected operation names
unsafe void NXOpen.CAM.InspectionCollisionAvoidanceBuilder.UpdateSimDisplayOptions ( )
inline

Updates the Sim Display Options to match changes made in the Collision Avoidance Dialog

Created in NX9.0.1

License requirements: insp_programming ("INSPECTION PROGRAMMING")

Property Documentation

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.ChangeApproachRetract
getset

Returns or sets a flag to indicate whether to change approach and retract distances to avoid collisions

Created in NX8.0.1

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.ChangeProbeAngles
getset

Returns or sets a flag to indicate whether to change probe angles to avoid collisions

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.ChangeProbeTip
getset

Returns or sets a flag to indicate whether to change probe tip to avoid collisions

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe double NXOpen.CAM.InspectionCollisionAvoidanceBuilder.ClearanceDistance
getset

Returns or sets the transition clearance distance

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.DeleteMeasurementPoints
getset

Returns or sets a flag to indicate whether to delete measurement points to avoid collisions

Created in NX9.0.1

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.DeleteUserSafePoints
getset

Returns or sets a flag to indicate whether to delete user inserted safe points to improve path

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe double NXOpen.CAM.InspectionCollisionAvoidanceBuilder.FacetTolerance
getset

Returns or sets the tolerance used for faceting the components

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.FinishAtSafePlane
getset

Returns or sets a flag to indicate whether to finish at safe plane after last path

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.ListOutput
getset

Returns or sets a flag to indicate whether to generate a report

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe double NXOpen.CAM.InspectionCollisionAvoidanceBuilder.MaxAngularIncrement
getset

Returns or sets the max angular increment

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe double NXOpen.CAM.InspectionCollisionAvoidanceBuilder.MaxLengthIncrement
getset

Returns or sets the max length increment

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.MoveMeasurementPoints
getset

Returns or sets a flag to indicate whether to move measurement points to avoid collisions

Created in NX9.0.1

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.NewSensors
getset

Returns or sets a flag to indicate whether to create new sensors

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.ProbeRotationsAtSafePlane
getset

Returns or sets a flag to indicate whether to do probe rotations at safe plane

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.NXObject NXOpen.CAM.InspectionCollisionAvoidanceBuilder.SafePlane
getset

Returns or sets the safe plane

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.StartFromSafePlane
getset

Returns or sets a flag to indicate whether to start from safe plane before first path

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.TableRotationsAtSafePlane
getset

Returns or sets a flag to indicate whether to do table rotations at safe plane

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.ToolChangesAtSafePlane
getset

Returns or sets a flag to indicate whether to do tool changes at safe plane

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.TransitionsBetweenPaths
getset

Returns or sets a flag to indicate whether to generate transition points between paths

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.CAM.InspectionCollisionAvoidanceBuilder.TransitionsWithinPaths
getset

Returns or sets a flag to indicate whether to generate transition points within paths

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.